Bug 732637 - virt-v2v cannot convert a guest with two separate Windows instances
Summary: virt-v2v cannot convert a guest with two separate Windows instances
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-v2v
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Matthew Booth
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 672827
Blocks: 666578 672824 673066 677870 682980
TreeView+ depends on / blocked
 
Reported: 2011-08-23 07:34 UTC by Richard W.M. Jones
Modified: 2014-11-18 09:44 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 672831
Environment:
Last Closed: 2014-11-18 09:44:34 UTC


Attachments (Terms of Use)

Description Richard W.M. Jones 2011-08-23 07:34:04 UTC
1.Install winxp-32b and win2k3-64b on two partitions
2.First convert Windows XP:
#  virt-v2v -ic qemu+ssh://10.66.72.122/system -os default -b rhevm winxp-win2k3
winxp-win2k3.img: 100% [==============================================================================================================]D 0h05m35s

***
Dual- or multi-boot operating system detected. Choose the root filesystem
that contains the main operating system from the list below:

 [1] /dev/sda1 (Microsoft Windows XP)
 [2] /dev/sda5 (Microsoft Windows Server 2003 R2)

Enter number between 1 and 2: 1
virt-v2v: WARNING: There is no virtio net driver available in the directory specified for this version of Windows. The guest will be configured with a rtl8139 network adapter, but no driver will be installed for it. If the rtl8139 driver is not already installed in the guest, you must install it manually after conversion.
virt-v2v: winxp-win2k3 configured with virtio storage only.

3.Boot the guest
  Boot from winxp: boot successfully
  Boot from win2k3: boot fail with message "Windows could not start because of a general computer hardware configuration problem.Attempting to load an x64 operation system,however this CPU is not compatible with x64 mode.Please install an x86 32-bit operation system"

4.Then convert Windows 2003:
 #  virt-v2v -ic qemu+ssh://10.66.72.122/system -os default -b rhevm winxp-win2k3
winxp-win2k3.img: 100% [==============================================================================================================]D 0h06m30s

***
Dual- or multi-boot operating system detected. Choose the root filesystem
that contains the main operating system from the list below:

 [1] /dev/sda1 (Microsoft Windows XP)
 [2] /dev/sda5 (Microsoft Windows Server 2003 R2)

Enter number between 1 and 2: 2
virt-v2v: WARNING: The connected hypervisor does not support feature pae.
virt-v2v: winxp-win2k3 configured with virtio drivers.

5.
Boot the guest
  Boot from winxp: BSOD when boot from winxp.
  Boot from win2k3: Boot successfully.

Firstly,the step 2 and 4,for windows,I think it's more better to use "C:" or "D:"  than "/dev/sda1" "/dev/sda5"
Secondly,the step 5,after boot from winxp,I think it's better not BSOD,or we can document it.

As above,I changed the bug status to ASSIGNED.



Add the packages version:
virt-v2v-0.8.3-1.el6.x86_64
libvirt-0.9.4-4.el6.x86_64
libguestfs-1.7.17-26.el6.x86_64

Comment 4 RHEL Product and Program Management 2012-05-03 05:21:43 UTC
Since RHEL 6.3 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Comment 5 Richard W.M. Jones 2014-11-18 09:44:34 UTC
Virt-v2v needs to run on the latest Red Hat Enterprise Linux release
to ensure it can correctly read and modify new guest filesystem
features.  A new version of virt-v2v is now available for RHEL 7.1.

Before RHEL 7.1 is released, follow the instructions here to
install unsupported preview packages on top of RHEL 7.0:
https://www.redhat.com/archives/libguestfs/2014-May/msg00090.html

After RHEL 7.1 is released, virt-v2v will be available in
Technical Preview.

You can run virt-v2v in a single virtual machine.  Other
requirements are covered here:
http://libguestfs.org/virt-v2v.1.html#resource-requirements

If you find a missing feature or bug in the new version of virt-v2v
please file a bug using the following link:
https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%207&component=libguestfs


Note You need to log in before you can comment on or make changes to this bug.